{% extends 'skeleton/base.html' %} {% load static%} {% block title %}
<title>Lista de ventas</title>{% endblock %} {% block manual %}

<div class="manual-icon">
  <a href="#openModal"
    ><i class="fa fa-question-circle" aria-hidden="true"></i
  ></a>
</div>
<div id="openModal" class="modalDialog">
  <div class="container-manual">
    <a href="#close" title="Close" class="close">X</a>
    <h2>Manual de uso</h2>
    <p>
      Esta es la lista de ventas. Aquí puede consultar las ventas realizadas con
      anterioridad, filtrar ventas mediante los botones de búsqueda, ordenar la
      lista por columnas, editar las ventas realizadas y exportar la lista en
      distintos formatos mediante los botones bajo el título.
      <br />
      Nota: La columna "¿Es Fiado?" presenta dos valores: True y False. El
      primero indica que la venta es un fiado, mientras que el segundo indica
      que la venta no corresponde a fiado.
    </p>
  </div>
</div>
{% endblock %}
<!-- ////////////////////////////////////////////////// -->
{% block content %} {% if request.user.is_authenticated %}
<br />

<h1 class="display-3">Lista de ventas</h1>
<br />
{{ mensaje }}
<br />

<table id="myTable" class="table table-striped table-bordered">
  <thead class="thead-light">
    <tr>
      <th>Numero de boleta</th>
      <th>Fecha</th>
      <th>Monto total</th>
      <th>¿Es fiado?</th>
      <th>Vendedor</th>
      <th>Editar</th>
    </tr>
  </thead>
  <tbody>
    {% for s in sale %}
    <tr>
      <td>{{ s.id}}</td>
      <td>{{ s.date}}</td>
      <td>{{ s.amount}}</td>
      <td>{{ s.debt}}</td>
      <td>{{ s.seller}}</td>
      <td>
        <a
          type="button"
          class="btn btn-primary"
          href="/editar_venta/{{ s.id }}"
        >
          <i
            class="fa fa-pencil-square-o"
            aria-hidden="true"
            style="font-size: 20px;"
          ></i>
        </a>
      </td>
      {% endfor %}
    </tr>
  </tbody>
</table>
{% else %}

{% endif %} {% endblock content %}
